GFIMPORT_FIXED(1)

NAME
gfimport_fixed - divide and register a fixed-size data file

SYNOPSIS
gfimport_fixed [ options ] file

DESCRIPTION

gfimport_fixed is a sample program for dividing a file to file fragments and registering it to the Gfarm filesystem.

OPTIONS

-H  hostfile specifies a hostname list of filesystem nodes. The hostfile consists of a hostname of a filesystem node in each line. The file is uniformly divided into file fragments, each file fragment except the last one having the same size. if ``-'' is specified, standard input is used to read the host list.

-f fragment file
    specifies a fragment file that consists of a fragment size and a filesystem node separated by a white space in each line. if ``-'' is specified, standard input is used.

-l record size
    specifies the size of fixed-size records in bytes. With this option, file is divided by the multiple size of the record size. Default size is 1.

-o gfarm-URL
    specifies an output file.

-?  displays a list of command options.

EXAMPLES

  IMPORTING BY SPLITTING TO SPECIFIED NUMBER OF FRAGMENTS

The following is an example using gfimport_fixed to import a source_file as gfarm:file by splitting to 8 fragments.
gfsched -N 8 | gfimport_fixed -H - -o gfarm:file source_file

  IMPORTING BY SPLITTING TO SPECIFIED NUMBER OF FRAGMENTS FOR PARTICULAR PROGRAM

The following is an example using gfimport_fixed to import a source_file as gfarm:file by splitting to 8 fragments to be processed by gfarm:prog program.
gfsched -N 8 -p gfarm:prog | gfimport_fixed -H - -o gfarm:file source_file

  IMPORTING INTO SAME DISPOSITION WITH AN EXISTING GFARM FILE

The following is an example using gfimport_fixed to import a source_file as gfarm:file into same disposition with existing file gfarm:template.
gfsched gfarm:template | gfimport_fixed -H - -o gfarm:file source_file

SEE ALSO

gfimport_text(1), gfsched(1), gfarm.conf(5)